Skip to content

List All Message Threads

Request

Lists threads.

Security
apiKey
Query
api_keystringrequired
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
GET
/v5/messaging.xml
curl -i -X GET \
  'https://api.vworkapp.com/v5/messaging.xml?api_key=string&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip'

Responses

OK

Headers
Cache-Controlstring
Example:"max-age=0, private, must-revalidate"
Content-Encodingstring
Example:"gzip"
Content-Security-Policystring
Example:"frame-ancestors *.vworkapp.com *.vwork.io *.visfleet.com *.salesforce.com *.zoho.com, default-src: google.com google-analytics.com googleapis.com gst
Datestring
Example:"Tue, 14 Jun 2016 01:44:03 GMT"
ETagstring
Example:"W/\"b63f609270b27bc15b28397ea16f8a00\""
Statusstring
Example:"200 OK"
Strict-Transport-Securitystring
Example:"max-age=31536000"
Transfer-Encodingstring
Example:"chunked"
X-Content-Type-Optionsstring
Example:"nosniff"
X-Frame-Optionsstring
Example:"SAMEORIGIN"
X-Request-Idstring
Example:"b0dc67b2-e2b4-452a-916f-805bd12628dc"
X-Runtimestring
Example:"0.975847"
X-Unique-IDstring
Example:"CA7C7B8A:D1C2_0A001312:01BB_575F6061_770069:1E66"
X-XSS-Protectionstring
Example:"1; mode=block"
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

Response
<?xml version="1.0" encoding="utf-8"?>
<threads type="array">
    <thread>
        <id>ded86e04-31d0-11e6-927a-37a1480f7e3a</id>
        <job_id/>
        <user_ids>123</user_ids>
        <all_workers>false</all_workers>
        <created_by_user_id/>
        <subject>Sample Thread</subject>
        <summary>Sample Message</summary>
        <last_reply_user_id/>
        <last_reply_at>2016-06-14T01:39:44Z</last_reply_at>
        <created_at>2016-06-14T01:39:44Z</created_at>
        <updated_at>2016-06-14T01:39:45Z</updated_at>
        <messages type="array">
            <message>
                <id>23275dfc-086d-11e4-a5ac-174e8ef2ef84</id>
                <thread_id>23268152-086d-11e4-a5ac-174e8ef2ef84</thread_id>
                <from_user_id/>
                <from_user_name>Joe Bloggs</from_user_name>
                <read_by_user_ids/>
                <received_by_user_ids/>
                <body>Sample Message</body>
                <created_at>2014-07-10 20:02:36 UTC</created_at>…